
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/polyfills-legacy.0dAMee6u.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/app-legacy.BJZdEDmC.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/VaultedContact-legacy.i3GbsX-U.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DeliveryMethodSelectorSection-legacy.B6Qb3zxu.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useUnauthenticatedErrorModal-legacy.DbbeyJlV.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/AmazonPayPCIButton-legacy.C7bW3VLu.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/CheckoutAsGuest-legacy.Bai5hcVG.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useRefEffect-legacy.D1ZP0r9U.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/ShopPayLogo-legacy.C--Da4Hv.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PickupPointCarrierLogo-legacy.Cnfp8PpB.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/hooks-legacy.DtlfJ6cX.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/LocalizationExtensionField-legacy.BGBPG0zx.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShowShopPayOptin-legacy.r85pb0cS.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Rollup-legacy.Bvfw4wIg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShopPayRequiresVerification-legacy.BwYq5S3C.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Section-legacy.Bc_s5Sw0.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/GooglePayPCIButton-legacy.CHlS46fv.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PayButtonSection-legacy.s4oRskCG.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/RageClickCapture-legacy.d6XOP_lR.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useInstallmentsErrorHandler-legacy.D65rkO9G.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.ZZeBfEpo.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DutyOptions-legacy.CSvvtbg3.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/SubscriptionPriceBreakdown-legacy.B6wnPFx1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useAmazonContact-legacy.Bfevqu8T.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/StockProblemsLineItemList-legacy.MKwqfMin.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useGetBuyWithPrimeCheckoutSessionId-legacy.CEaP30zn.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.CAAz2Wk8.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  